org.apache.solr.client.solrj.cloud.autoscaling

## Enum Policy.SortParam

- java.lang.Object
- - java.lang.Enum<Policy.SortParam>
  - - org.apache.solr.client.solrj.cloud.autoscaling.Policy.SortParam

All Implemented Interfaces:
  Serializable, Comparable<Policy.SortParam>

Enclosing class:
  Policy

    public static enum Policy.SortParam
    extends Enum<Policy.SortParam>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`cores`
`freedisk`
`heapUsage`
`sysLoadAvg`

### Field Summary

Fields
`int` `max`
`int` `min`

### Method Summary

All Methods Static Methods Concrete Methods
`static Policy.SortParam` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Policy.SortParam[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### freedisk

    public static final Policy.SortParam freedisk

#### cores

    public static final Policy.SortParam cores

#### heapUsage

    public static final Policy.SortParam heapUsage

#### sysLoadAvg

    public static final Policy.SortParam sysLoadAvg

### Field Detail

#### min

    public final int min

#### max

    public final int max

### Method Detail

#### values

    public static Policy.SortParam[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Policy.SortParam c : Policy.SortParam.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Policy.SortParam valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null